## libimagequant 2.12.2

=== Makefile ===
-include config.mk

STATICLIB=libimagequant.a
SHAREDLIB=libimagequant.$(SOLIBSUFFIX)
SOVER=0
ifeq ($(SOLIBSUFFIX),dylib)
	SHAREDLIBVER=libimagequant.$(SOVER).$(SOLIBSUFFIX)
	FIX_INSTALL_NAME=install_name_tool -id $(LIBDIR)/$(SHAREDLIBVER) $(DESTDIR)$(LIBDIR)/$(SHAREDLIBVER)
else
	SHAREDLIBVER=libimagequant.$(SOLIBSUFFIX).$(SOVER)
	FIX_INSTALL_NAME=
endif

JNILIB=libimagequant.jnilib
DLL=imagequant.dll
DLLIMP=imagequant_dll.a
DLLDEF=imagequant_dll.def
JNIDLL=libimagequant.dll
JNIDLLIMP=libimagequant_dll.a
JNIDLLDEF=libimagequant_dll.def

OBJS = pam.o mediancut.o blur.o mempool.o kmeans.o nearest.o libimagequant.o
SHAREDOBJS = $(subst .o,.lo,$(OBJS))

JAVACLASSES = org/pngquant/LiqObject.class org/pngquant/PngQuant.class org/pngquant/Image.class org/pngquant/Result.class
JAVAHEADERS = $(JAVACLASSES:.class=.h)
JAVAINCLUDE = -I'$(JAVA_HOME)/include' -I'$(JAVA_HOME)/include/linux' -I'$(JAVA_HOME)/include/win32' -I'$(JAVA_HOME)/include/darwin'

DISTFILES = $(OBJS:.o=.c) *.h README.md CHANGELOG COPYRIGHT Makefile configure imagequant.pc.in
TARNAME = libimagequant-$(VERSION)
TARFILE = $(TARNAME)-src.tar.bz2
PKGCONFIG = imagequant.pc

all: static shared

static: $(STATICLIB)

shared: $(SHAREDLIB)

dll:
	$(MAKE) CFLAGS="$(CFLAGS) -DIMAGEQUANT_EXPORTS" $(DLL)

java: $(JNILIB)

java-dll:
	$(MAKE) CFLAGS="$(CFLAGS) -DIMAGEQUANT_EXPORTS" $(JNIDLL)

$(DLL) $(DLLIMP): $(OBJS)
	$(CC) -fPIC -shared -o $(DLL) $^ $(LDFLAGS) -Wl,--out-implib,$(DLLIMP),--output-def,$(DLLDEF)

$(STATICLIB): $(OBJS)
	$(AR) $(ARFLAGS) $@ $^

$(SHAREDOBJS):
	$(CC) -fPIC $(CFLAGS) -c $(@:.lo=.c) -o $@

libimagequant.so: $(SHAREDOBJS)
	$(CC) -shared -Wl,-soname,$(SHAREDLIBVER) -o $(SHAREDLIBVER) $^ $(LDFLAGS)
	ln -fs $(SHAREDLIBVER) $(SHAREDLIB)

libimagequant.dylib: $(SHAREDOBJS)
	$(CC) -shared -o $(SHAREDLIBVER) $^ $(LDFLAGS)
	ln -fs $(SHAREDLIBVER) $(SHAREDLIB)

$(OBJS): $(wildcard *.h) config.mk

$(JNILIB): $(JAVAHEADERS) $(STATICLIB) org/pngquant/PngQuant.c
	$(CC) -g $(CFLAGS) $(LDFLAGS) $(JAVAINCLUDE) -shared -o $@ $(STATICLIB) org/pngquant/PngQuant.c

$(JNIDLL) $(JNIDLLIMP): $(JAVAHEADERS) $(OBJS) org/pngquant/PngQuant.c
	$(CC) -fPIC -shared -I. $(JAVAINCLUDE) -o $(JNIDLL) $^ $(LDFLAGS) -Wl,--out-implib,$(JNIDLLIMP),--output-def,$(JNIDLLDEF)

$(JAVACLASSES): %.class: %.java
	javac $<

$(JAVAHEADERS): %.h: %.class
	javah -o $@ $(subst /,., $(patsubst %.class,%,$<)) && touch $@

dist: $(TARFILE) cargo

$(TARFILE): $(DISTFILES)
	rm -rf $(TARFILE) $(TARNAME)
	mkdir $(TARNAME)
	cp $(DISTFILES) $(TARNAME)
	tar -cjf $(TARFILE) --numeric-owner --exclude='._*' $(TARNAME)
	rm -rf $(TARNAME)
	-shasum $(TARFILE)

cargo:
	rm -rf msvc-dist
	git clone . -b msvc msvc-dist
	rm -rf msvc-dist/Cargo.toml msvc-dist/org msvc-dist/rust msvc-dist/README.md msvc-dist/COPYRIGHT
	cargo test

example: example.c lodepng.h lodepng.c $(STATICLIB)
	$(CC) -g $(CFLAGS) -Wall example.c $(STATICLIB) -o example

lodepng.h:
	curl -o lodepng.h -L https://raw.githubusercontent.com/lvandeve/lodepng/master/lodepng.h

lodepng.c:
	curl -o lodepng.c -L https://raw.githubusercontent.com/lvandeve/lodepng/master/lodepng.cpp

clean:
	rm -f $(OBJS) $(SHAREDOBJS) $(SHAREDLIBVER) $(SHAREDLIB) $(STATICLIB) $(TARFILE) $(DLL) '$(DLLIMP)' '$(DLLDEF)'
	rm -f $(JAVAHEADERS) $(JAVACLASSES) $(JNILIB) example

distclean: clean
	rm -f config.mk
	rm -f imagequant.pc

install: all $(PKGCONFIG)
	install -d $(DESTDIR)$(LIBDIR)
	install -d $(DESTDIR)$(PKGCONFIGDIR)
	install -d $(DESTDIR)$(INCLUDEDIR)
	install -m 644 $(STATICLIB) $(DESTDIR)$(LIBDIR)/$(STATICLIB)
	install -m 644 $(SHAREDLIBVER) $(DESTDIR)$(LIBDIR)/$(SHAREDLIBVER)
	ln -sf $(SHAREDLIBVER) $(DESTDIR)$(LIBDIR)/$(SHAREDLIB)
	install -m 644 $(PKGCONFIG) $(DESTDIR)$(PKGCONFIGDIR)/$(PKGCONFIG)
	install -m 644 libimagequant.h $(DESTDIR)$(INCLUDEDIR)/libimagequant.h
	$(FIX_INSTALL_NAME)

uninstall:
	rm -f $(DESTDIR)$(LIBDIR)/$(STATICLIB)
	rm -f $(DESTDIR)$(LIBDIR)/$(SHAREDLIBVER)
	rm -f $(DESTDIR)$(LIBDIR)/$(SHAREDLIB)
	rm -f $(DESTDIR)$(PKGCONFIGDIR)/$(PKGCONFIG)
	rm -f $(DESTDIR)$(INCLUDEDIR)/libimagequant.h

config.mk:
ifeq ($(filter %clean %distclean, $(MAKECMDGOALS)), )
	./configure
endif

$(PKGCONFIG): config.mk
	sed 's|PREFIX|$(PREFIX)|;s|VERSION|$(VERSION)|' < imagequant.pc.in > $(PKGCONFIG)

.PHONY: all static shared clean dist distclean dll java cargo
.DELETE_ON_ERROR:

=== debian/changelog ===
libimagequant (2.12.2-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix the baseline violation on i386. (Closes: #919755)

 -- Adrian Bunk <bunk@debian.org>  Thu, 07 Feb 2019 20:39:50 +0200

libimagequant (2.12.2-1) unstable; urgency=medium

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Wed, 05 Dec 2018 15:12:38 +0100

libimagequant (2.12.1-1) unstable; urgency=medium

  * Initial release (Closes: #908278)

 -- Andreas Tille <tille@debian.org>  Sat, 08 Sep 2018 08:28:22 +0200

=== debian/control ===
Source: libimagequant
Maintainer: Debian PhotoTools Maintainers <pkg-phototools-devel@lists.alioth.debian.org>
Uploaders: Herbert Parentes Fortes Neto <hpfn@debian.org>,
           Andreas Tille <tille@debian.org>
Section: graphics
Priority: optional
Build-Depends: debhelper (>= 11),
               d-shlibs
Standards-Version: 4.2.1
Vcs-Browser: https://salsa.debian.org/debian-phototools-team/libimagequant
Vcs-Git: https://salsa.debian.org/debian-phototools-team/libimagequant.git
Homepage: https://github.com/ImageOptim/libimagequant

Package: libimagequant-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Depends: libimagequant0 (= ${binary:Version}),
         ${misc:Depends}
Description: palette quantization library (development files)
 Small, portable C library for high-quality conversion of RGBA
 images to 8-bit indexed-color (palette) images.
 .
 This library powers pngquant and other PNG optimizers.
 .
 This package contains the development files.

Package: libimagequant0
Architecture: any
Multi-Arch: same
Section: libs
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: palette quantization library
 Small, portable C library for high-quality conversion of RGBA
 images to 8-bit indexed-color (palette) images.
 .
 This library powers pngquant and other PNG optimizers.

=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE = 1

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_CFLAGS_MAINT_APPEND=-D_FORTIFY_SOURCE=2


%:
	dh $@

ifeq (,$(filter $(DEB_HOST_ARCH), amd64 x32))
override_dh_auto_configure:
	dh_auto_configure -- --disable-sse
endif

override_dh_install:
	dh_install
	d-shlibmove --commit \
		    --multiarch \
		    --devunversioned \
		    --exclude-la \
		    --movedev debian/tmp/include/* usr/include \
		    --movedev "debian/tmp/lib/*/pkgconfig/*.pc" usr/lib/$(DEB_HOST_MULTIARCH)/pkgconfig \
		    debian/tmp/lib/*/*.so

=== debian/watch ===
version=4

https://github.com/ImageOptim/libimagequant/releases .*/archive/@ANY_VERSION@@ARCHIVE_EXT@

## libimagequant 2.17.0

=== Makefile ===
--- 
+++ 
@@ -65,7 +65,7 @@
 $(OBJS): $(wildcard *.h) config.mk
 
 $(JNILIB): $(JAVAHEADERS) $(STATICLIB) org/pngquant/PngQuant.c
-	$(CC) -g $(CFLAGS) $(LDFLAGS) $(JAVAINCLUDE) -shared -o $@ $(STATICLIB) org/pngquant/PngQuant.c
+	$(CC) -g $(CFLAGS) $(LDFLAGS) $(JAVAINCLUDE) -shared -o $@ org/pngquant/PngQuant.c $(STATICLIB)
 
 $(JNIDLL) $(JNIDLLIMP): $(JAVAHEADERS) $(OBJS) org/pngquant/PngQuant.c
 	$(CC) -fPIC -shared -I. $(JAVAINCLUDE) -o $(JNIDLL) $^ $(LDFLAGS) -Wl,--out-implib,$(JNIDLLIMP),--output-def,$(JNIDLLDEF)
@@ -93,7 +93,7 @@
 	cargo test
 
 example: example.c lodepng.h lodepng.c $(STATICLIB)
-	$(CC) -g $(CFLAGS) -Wall example.c $(STATICLIB) -o example
+	$(CC) -g $(CFLAGS) -Wall example.c $(STATICLIB) -o example -lm
 
 lodepng.h:
 	curl -o lodepng.h -L https://raw.githubusercontent.com/lvandeve/lodepng/master/lodepng.h
@@ -104,6 +104,7 @@
 clean:
 	rm -f $(OBJS) $(SHAREDOBJS) $(SHAREDLIBVER) $(SHAREDLIB) $(STATICLIB) $(TARFILE) $(DLL) '$(DLLIMP)' '$(DLLDEF)'
 	rm -f $(JAVAHEADERS) $(JAVACLASSES) $(JNILIB) example
+	rm -rf target rust-api/target rust-sys/target
 
 distclean: clean
 	rm -f config.mk
@@ -114,7 +115,7 @@
 	install -d $(DESTDIR)$(PKGCONFIGDIR)
 	install -d $(DESTDIR)$(INCLUDEDIR)
 	install -m 644 $(STATICLIB) $(DESTDIR)$(LIBDIR)/$(STATICLIB)
-	install -m 644 $(SHAREDLIBVER) $(DESTDIR)$(LIBDIR)/$(SHAREDLIBVER)
+	install -m 755 $(SHAREDLIBVER) $(DESTDIR)$(LIBDIR)/$(SHAREDLIBVER)
 	ln -sf $(SHAREDLIBVER) $(DESTDIR)$(LIBDIR)/$(SHAREDLIB)
 	install -m 644 $(PKGCONFIG) $(DESTDIR)$(PKGCONFIGDIR)/$(PKGCONFIG)
 	install -m 644 libimagequant.h $(DESTDIR)$(INCLUDEDIR)/libimagequant.h
@@ -133,7 +134,7 @@
 endif
 
 $(PKGCONFIG): config.mk
-	sed 's|PREFIX|$(PREFIX)|;s|VERSION|$(VERSION)|' < imagequant.pc.in > $(PKGCONFIG)
+	sed 's|@PREFIX@|$(PREFIX)|;s|@VERSION@|$(VERSION)|' < imagequant.pc.in > $(PKGCONFIG)
 
 .PHONY: all static shared clean dist distclean dll java cargo
 .DELETE_ON_ERROR:

=== debian/changelog ===
libimagequant (2.17.0-1) unstable; urgency=medium

  [ Barak A. Pearlmutter ]
  * Set debhelper-compat version in Build-Depends.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * Fix field name typos in debian/copyright (Commenst => Comment, Comments =>
    Comment).
  * Get $(DEB_HOST_MULTIARCH) defined in debian/rules
  * Set build-depends-package in debian/*.symbols file
  * New upstream version
  * Enable openmp (closes: #919757)
  * Rules don't require root
  * Remove Herbert Parentes Fortes Neto from uploaders (closes: #986943)
    - Thanks for your work on Debian, Herbert!
  * Merge patch from Helmut Grohne <helmut@subdivi.de>
    - Fix FTCBFS: (Closes: #944439)
    - Pass a suitable CC to the hand-written configure.
    - Force decision for SSE based on HOST arch

  [ Andreas Tille ]
  * Add Barak A. Pearlmutter as additional Uploader
  * Drop default debian/gbp.conf
  * Add salsa-ci file (routine-update)
  * Add missing build dependency on dh addon.

 -- Andreas Tille <tille@debian.org>  Mon, 10 Jan 2022 16:26:40 +0100

=== debian/control ===
--- 
+++ 
@@ -1,12 +1,12 @@
 Source: libimagequant
 Maintainer: Debian PhotoTools Maintainers <pkg-phototools-devel@lists.alioth.debian.org>
-Uploaders: Herbert Parentes Fortes Neto <hpfn@debian.org>,
-           Andreas Tille <tille@debian.org>
+Uploaders: Andreas Tille <tille@debian.org>,
+           Barak A. Pearlmutter <bap@debian.org>
 Section: graphics
 Priority: optional
-Build-Depends: debhelper (>= 11),
-               d-shlibs
-Standards-Version: 4.2.1
+Build-Depends: debhelper-compat (= 13), d-shlibs, debhelper
+Standards-Version: 4.6.0
+Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/debian-phototools-team/libimagequant
 Vcs-Git: https://salsa.debian.org/debian-phototools-team/libimagequant.git
 Homepage: https://github.com/ImageOptim/libimagequant

=== debian/rules ===
--- 
+++ 
@@ -2,20 +2,20 @@
 
 #export DH_VERBOSE = 1
 
+include /usr/share/dpkg/default.mk
+
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 export DEB_CFLAGS_MAINT_APPEND=-D_FORTIFY_SOURCE=2
-
 
 %:
 	dh $@
 
-ifeq (,$(filter $(DEB_HOST_ARCH), amd64 x32))
 override_dh_auto_configure:
-	dh_auto_configure -- --disable-sse
-endif
+	dh_auto_configure -- \
+		--with-openmp \
+		'CC=$(CC)' --$(if $(filter $(DEB_HOST_ARCH),amd64 x32),en,dis)able-sse
 
-override_dh_install:
-	dh_install
+execute_after_dh_install:
 	d-shlibmove --commit \
 		    --multiarch \
 		    --devunversioned \

## libimagequant 2.18.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.6)
file(READ version.txt VERSION)

project(imagequant C)

if(${CMAKE_SYSTEM_PROCESSOR} STREQUAL ARM64)
  option(BUILD_WITH_SSE "Use SSE" OFF)
else()
  option(BUILD_WITH_SSE "Use SSE" ON)
endif()

if(BUILD_WITH_SSE)
  add_definitions(-DUSE_SSE=1)
endif()

find_package(OpenMP)
if(OPENMP_FOUND)
  set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} ${OpenMP_C_FLAGS}")
  set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} ${OpenMP_CXX_FLAGS}")
endif()

include_directories(${CMAKE_SOURCE_DIR})

if(CMAKE_COMPILER_IS_GNUCC)
  add_compile_options("-std=c99")
endif()

add_library(imagequant SHARED 
  libimagequant.c
  blur.c
  mediancut.c
  mempool.c
  nearest.c
  pam.c
  kmeans.c
)

add_library(imagequant_a STATIC
  libimagequant.c
  blur.c
  mediancut.c
  mempool.c
  nearest.c
  pam.c
  kmeans.c
)
set_target_properties(imagequant PROPERTIES SOVERSION 0
  VERSION 0.0)

set(PREFIX ${CMAKE_INSTALL_PREFIX})
configure_file(imagequant.pc.in imagequant.pc @ONLY)

install(TARGETS imagequant        LIBRARY           DESTINATION ${LIB_INSTALL_DIR})
install(FILES                     libimagequant.h   DESTINATION include)
install(FILES ${CMAKE_BINARY_DIR}/libimagequant_a.a DESTINATION ${LIB_INSTALL_DIR} RENAME libimagequant.a)
install(FILES ${CMAKE_BINARY_DIR}/imagequant.pc     DESTINATION ${LIB_INSTALL_DIR}/pkgconfig)

=== Makefile ===
--- 
+++ 
@@ -19,7 +19,7 @@
 JNIDLLIMP=libimagequant_dll.a
 JNIDLLDEF=libimagequant_dll.def
 
-OBJS = pam.o mediancut.o blur.o mempool.o kmeans.o nearest.o libimagequant.o
+OBJS = pam.o mediancut.o blur.o remap.o mempool.o kmeans.o nearest.o libimagequant.o
 SHAREDOBJS = $(subst .o,.lo,$(OBJS))
 
 JAVACLASSES = org/pngquant/LiqObject.class org/pngquant/PngQuant.class org/pngquant/Image.class org/pngquant/Result.class

=== debian/changelog ===
libimagequant (2.18.0-1build1) noble; urgency=high

  * No change rebuild for 64-bit time_t and frame pointers.

 -- Julian Andres Klode <juliank@ubuntu.com>  Mon, 08 Apr 2024 18:04:36 +0200

libimagequant (2.18.0-1) unstable; urgency=medium

  * New upstream version
  * d/watch:
     - Make sure to fetch only version 2.x series since 4.x is
       rewritten in rust language
     - Fix download name
  * d/rules: add /usr/share/dpkg/buildtools.mk
    Closes: #944439
  * Standards-Version: 4.6.2 (routine-update)

 -- Andreas Tille <tille@debian.org>  Tue, 14 Nov 2023 09:37:09 +0100

=== debian/control ===
--- 
+++ 
@@ -1,11 +1,12 @@
 Source: libimagequant
-Maintainer: Debian PhotoTools Maintainers <pkg-phototools-devel@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian PhotoTools Maintainers <pkg-phototools-devel@lists.alioth.debian.org>
 Uploaders: Andreas Tille <tille@debian.org>,
            Barak A. Pearlmutter <bap@debian.org>
 Section: graphics
 Priority: optional
 Build-Depends: debhelper-compat (= 13), d-shlibs, debhelper
-Standards-Version: 4.6.0
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/debian-phototools-team/libimagequant
 Vcs-Git: https://salsa.debian.org/debian-phototools-team/libimagequant.git

=== debian/rules ===
--- 
+++ 
@@ -6,6 +6,8 @@
 
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 export DEB_CFLAGS_MAINT_APPEND=-D_FORTIFY_SOURCE=2
+
+include /usr/share/dpkg/buildtools.mk
 
 %:
 	dh $@

=== debian/watch ===
version=4

opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%@PACKAGE@-$1.tar.gz%" \
  https://github.com/ImageOptim/@PACKAGE@/tags .*/v?(2[\d.]+)@ARCHIVE_EXT@

## libimagequant 4.4.0

=== imagequant-sys/Makefile ===
# You can configure these
PREFIX ?= /usr/local
LIBDIR ?= $(PREFIX)/lib
INCLUDEDIR ?= $(PREFIX)/include
PKGCONFIGDIR ?= $(LIBDIR)/pkgconfig
DESTDIR ?= ""

VERSION=$(shell grep '^version = "4' Cargo.toml | grep -Eo "4\.[0-9.]+")
STATICLIB=libimagequant.a

JNILIB=libimagequant.jnilib

JAVACLASSES = org/pngquant/LiqObject.class org/pngquant/PngQuant.class org/pngquant/Image.class org/pngquant/Result.class
JAVAHEADERS = $(JAVACLASSES:.class=.h)
JAVAINCLUDE = -I'$(JAVA_HOME)/include' -I'$(JAVA_HOME)/include/linux' -I'$(JAVA_HOME)/include/win32' -I'$(JAVA_HOME)/include/darwin'

PKGCONFIG = imagequant.pc

all: static

static: $(STATICLIB)

java: $(JNILIB)

$(STATICLIB): Cargo.toml
	cargo build --release
	cp ../target/release/libimagequant_sys.a $(STATICLIB)

$(JNILIB): $(JAVAHEADERS) $(STATICLIB) org/pngquant/PngQuant.c
	# You may need to set LDFLAGS env var. See: cargo rustc -- --print native-static-libs
	$(CC) -g $(CFLAGS) $(LDFLAGS) $(JAVAINCLUDE) -shared -o $@ org/pngquant/PngQuant.c $(STATICLIB)

$(JAVACLASSES): %.class: %.java
	javac $<

$(JAVAHEADERS): %.h: %.class
	javah -o $@ $(subst /,., $(patsubst %.class,%,$<)) && touch $@

example: example.c lodepng.h lodepng.c $(STATICLIB)
	# remove -lpthread on Windows
	# add -ldl on Linux
	# You may need to set LDFLAGS env var. See: cargo rustc -- --print native-static-libs
	$(CC) -g $(CFLAGS) -Wall example.c $(STATICLIB) -lm -lpthread $(LDFLAGS) -o example

lodepng.h:
	curl -o lodepng.h -L https://raw.githubusercontent.com/lvandeve/lodepng/master/lodepng.h

lodepng.c:
	curl -o lodepng.c -L https://raw.githubusercontent.com/lvandeve/lodepng/master/lodepng.cpp

clean:
	rm -f $(SHAREDLIBVER) $(SHAREDLIB) $(STATICLIB)
	rm -f $(JAVAHEADERS) $(JAVACLASSES) $(JNILIB) example
	rm -rf ../target

distclean: clean
	rm -f imagequant.pc

install: all $(PKGCONFIG)
	install -d $(DESTDIR)$(LIBDIR)
	install -d $(DESTDIR)$(PKGCONFIGDIR)
	install -d $(DESTDIR)$(INCLUDEDIR)
	install -m 644 $(STATICLIB) $(DESTDIR)$(LIBDIR)/$(STATICLIB)
	install -m 644 $(PKGCONFIG) $(DESTDIR)$(PKGCONFIGDIR)/$(PKGCONFIG)
	install -m 644 libimagequant.h $(DESTDIR)$(INCLUDEDIR)/libimagequant.h
	$(FIX_INSTALL_NAME)

uninstall:
	rm -f $(DESTDIR)$(LIBDIR)/$(STATICLIB)
	rm -f $(DESTDIR)$(PKGCONFIGDIR)/$(PKGCONFIG)
	rm -f $(DESTDIR)$(INCLUDEDIR)/libimagequant.h

$(PKGCONFIG): Cargo.toml
	sed 's|@PREFIX@|$(PREFIX)|;s|@VERSION@|$(VERSION)|' < imagequant.pc.in > $(PKGCONFIG)

.PHONY: all static clean distclean java
.DELETE_ON_ERROR:

=== debian/changelog ===
libimagequant (4.4.0-3) unstable; urgency=medium

  * Team upload.
  * d/control: Build-Depends add python3, fix FTBFS in 4.4.0-2
    as /usr/share/cargo/bin/cargo use python3

 -- xiao sheng wen <atzlinux@debian.org>  Mon, 25 Aug 2025 09:16:22 +0800

libimagequant (4.4.0-2) unstable; urgency=medium

  * Team upload.
  * add d/p/Cargo.toml.patch, fix FTBFS in 4.4.0-1 when no network
  * d/rules: copy some infos from https://wiki.debian.org/Gnome/Rust_Packaging
  * d/clean: add clear debian/cargo_home/ directory

 -- xiao sheng wen <atzlinux@debian.org>  Mon, 25 Aug 2025 01:52:09 +0800

libimagequant (4.4.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 4.4.0
  * d/copyright:
      - delete Files: pam.h section, file not exist in new upstream version
      - remove useless License: MIT section
      - update Files: example.c path
      - update copyright year info to 2025
  * rename d/libimagequant0.examples to d/libimagequant-dev.examples
  * d/control: update Build-Depends for rust cargo
  * d/rules: use cargo cinstall
  * d/libimagequant0.symbols: update for 4.4.0
  * add d/clean
  * add d/*.install
  * add d/p/SONAME-version-suffix.patch
  * Bump Standards-Version: 4.7.2
  * d/watch: fetch upstream newest version 4.x series

 -- xiao sheng wen <atzlinux@debian.org>  Sun, 24 Aug 2025 16:32:18 +0800

=== debian/control ===
Source: libimagequant
Maintainer: Debian PhotoTools Maintainers <pkg-phototools-devel@lists.alioth.debian.org>
Uploaders:
 Andreas Tille <tille@debian.org>,
 Barak A. Pearlmutter <bap@debian.org>,
Section: graphics
Priority: optional
Build-Depends:
 debhelper-compat (= 13),
 cargo-c,
 cargo:native,
 librust-arrayvec-0.7+default-dev,
 librust-bitflags-1+default-dev,
 librust-cc-1+default-dev,
 librust-libc-0.2+default-dev,
 librust-num-cpus-1+default-dev,
 librust-once-cell-1+default-dev,
 librust-rayon-1+default-dev,
 librust-rgb-0.8+argb-dev,
 librust-rgb-0.8+default-dev,
 librust-thread-local-1+default-dev,
 libstd-rust-dev,
 rustc:native,
 python3,
Standards-Version: 4.7.2
Rules-Requires-Root: no
Vcs-Browser: https://salsa.debian.org/debian-phototools-team/libimagequant
Vcs-Git: https://salsa.debian.org/debian-phototools-team/libimagequant.git
Homepage: https://github.com/ImageOptim/libimagequant

Package: libimagequant-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Depends:
 libimagequant0 (= ${binary:Version}),
 ${misc:Depends},
Description: palette quantization library (development files)
 Small, portable C library for high-quality conversion of RGBA
 images to 8-bit indexed-color (palette) images.
 .
 This library powers pngquant and other PNG optimizers.
 .
 This package contains the development files.

Package: libimagequant0
Architecture: any
Multi-Arch: same
Section: libs
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: palette quantization library
 Small, portable C library for high-quality conversion of RGBA
 images to 8-bit indexed-color (palette) images.
 .
 This library powers pngquant and other PNG optimizers.

=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE = 1

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@

execute_before_dh_auto_install:
	cd imagequant-sys;cargo cinstall --prefix=/usr --destdir=../debian/tmp/

include /usr/share/dpkg/default.mk
include /usr/share/rustc/architecture.mk
export CFLAGS CXXFLAGS CPPFLAGS LDFLAGS
export DEB_HOST_RUST_TYPE DEB_HOST_GNU_TYPE
export PATH := /usr/share/cargo/bin:$(PATH)
export CARGO=/usr/share/cargo/bin/cargo
export CARGO_HOME=$(CURDIR)/debian/cargo_home
export CARGO_REGISTRY=$(CURDIR)/debian/cargo_registry
export DEB_CARGO_CRATE=$(DEB_SOURCE)_$(DEB_VERSION_UPSTREAM)
export DEB_BUILD_MAINT_OPTIONS=hardening=+bindnow

execute_after_dh_auto_clean:
	rm -rf debian/cargo_registry

execute_before_dh_auto_configure:
	$(CARGO) prepare-debian debian/cargo_registry --link-from-system
	rm -f Cargo.lock

=== debian/watch ===
version=4

https://github.com/ImageOptim/@PACKAGE@/tags .*/v?@ANY_VERSION@@ARCHIVE_EXT@

## libimagequant 4.4.1

=== debian/changelog ===
libimagequant (4.4.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 4.4.1
  * add d/gbp.conf, set pristine-tar = True
  * d/roles: delete Rules-Requires-Root: no, useless

 -- xiao sheng wen <atzlinux@debian.org>  Sun, 14 Dec 2025 09:56:31 +0800

=== debian/control ===
--- 
+++ 
@@ -23,7 +23,6 @@
  rustc:native,
  python3,
 Standards-Version: 4.7.2
-Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/debian-phototools-team/libimagequant
 Vcs-Git: https://salsa.debian.org/debian-phototools-team/libimagequant.git
 Homepage: https://github.com/ImageOptim/libimagequant
